Loading...
Searching...
No Matches
thread.h File Reference
`#include <limits.h>`
`#include <pthread.h>`
`#include <stdint.h>`
`#include <stdlib.h>`
`#include <cstddef>`
`#include <exception>`

Go to the source code of this file.

## Data Structures

class | Lock
class | ConditionVariable
class | Semaphore

## Typedefs

typedef pthread_t | Thread

## Functions

void | ThreadError (const char *message)

## Typedef Documentation

## Thread

typedef pthread_t Thread

Definition at line 11 of file thread.h.

## Function Documentation

## ThreadError()

void ThreadError | ( | const char * | message | ) |

Definition at line 18 of file thread.cc.

{
fprintf(stderr, "FATAL ERROR: %s\n", message);
abort(); // should not happen
}
message
void message(int i, int *olddeg, int *reduc, kStrategy strat, int red_result)
Definition kutil.cc:7463